[API]
VerQueryValueA
VerQueryValueW

[CODE]
Private Function VerQueryValue(ByVal hMem As Long, ByVal FieldStr As String) As String
  Dim xLong1 As Long
  Dim xLong2 As Long

  FieldStr = FieldStr + vbNullChar
  If IsUnicode Then
    If Not VerQueryValueW(ByVal hMem, StrPtr(FieldStr), xLong1, xLong2) = 0& Then
      #If PeekS_Wide Then
        VerQueryValue = PeekS_Wide(xLong1, xLong2)
        '#ElseIf PeekS_Ansi Then
        'VerQueryValue = PeekS(xLong1, xLong2)
        #Else
        GoTo PeekShared
        #End If
      End If
    ElseIf Not VerQueryValueA(ByVal hMem, FieldStr, xLong1, xLong2) = 0& Then
    #If PeekS_Ansi Then
      VerQueryValue = PeekS_Ansi(xLong1, xLong2)
      '#ElseIf PeekS_Wide Then
      'VerQueryValue = PeekS(xLong1, xLong2)
      #Else
PeekShared:
      VerQueryValue = PeekS(xLong1, xLong2)
      #End If
    End If
  End Function
